Skip to main content
POST
/
webhooks
Create a webhook
curl --request POST \
  --url https://api.engine.usesophic.com/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "description": "<string>"
}
'
{
  "id": "<string>",
  "url": "<string>",
  "is_active": true,
  "description": "<string>",
  "secret": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
url
string
required

The URL of the webhook. Note that the URL must use HTTPS and must not be an IP address.

Example:

"https://example.com/webhook"

description
string

Optional description of what the webhook is used for.

Response

Created

Webhook subscription with secret included. Only used on create responses.

id
string
required

Unique resource identifier.

url
string
required

The URL of the webhook.

is_active
boolean
required

Whether the webhook is active.

description
string | null
required

Optional description of what the webhook is used for.

secret
string
required

The signing secret for this webhook. This is only exposed once at creation so please store it securely.

created_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was created.

modified_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was last modified.